//
//  GetLocationsEndpointTests.swift
//  LocationsTests
//
//  Created by Javier Cicchelli on 10/04/2023.
//  Copyright © 2023 Röck+Cöde. All rights reserved.
//

import XCTest

@testable import Locations

final class GetLocationsEndpointTests: XCTestCase {

    // MARK: Tests
    
    func test_init() {
        // GIVEN
        // WHEN
        let endpoint = GetLocationsEndpoint()
        
        // THEN
        XCTAssertNotNil(endpoint)
        XCTAssertEqual(endpoint.scheme, .Scheme.https)
        XCTAssertEqual(endpoint.host, .Hosts.default)
        XCTAssertNil(endpoint.port)
        XCTAssertEqual(endpoint.path, .Paths.getLocations)
        XCTAssertTrue(endpoint.headers.isEmpty)
        XCTAssertNil(endpoint.body)
    }

}
